<!DOCTYPE html>
<html>
<head>
    {% load static from staticfiles %}
    {% load materializecss %}
    <title>Pesanmu & Pesanku</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    {% block css %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/css/materialize.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    {% endblock css %}
</head>
<body>
    <nav>
        <div class="nav-wrapper orange darken-3">
            <ul class="left hide-on-med-and-down">
                <li><a class="modal-trigger" href="#see-messages"><i class="material-icons left">contact_mail</i>Lihat Semua Pesan</a></li>
            </ul>
        </div>
    </nav>

    <div class="parallax-container">
        <div class="parallax"><img src="{% static "task_05/images/bg.jpg" %}"></div>
        <div class="container">
            <br>
            <div class="card-panel">
                <div class="card-content">
                    <div class="center-align">
                        <p class='flow-text'>Mengirim Pesan Semakin Mudah Kepada Orang yang Kamu Tuju!</p><br>
                    </div>
                    <div class="row">
                        <form id="form-draftpesan" method="POST">
                            {% csrf_token %}
                            <div class="input-field col s6">
                                {{ form_pesan.sender | materializecss }}
                            </div>
                            <div class="input-field col s6">
                                {{ form_pesan.receiver | materializecss }}
                            </div>
                            <div class="input-field col s6">
                                {{ form_pesan.urgency | materializecss }}
                            </div>
                            <div class="input-field col s6">
                                {{ form_pesan.content | materializecss }}
                            </div>
                            <div class="center-align">
                                <button class="waves-effect waves-light blue darken-2 btn"><i class="material-icons left">send</i>Kirim Sekarang</button>
                            </div>
                        </form>
                    </div>
                    <div id="successCard" class="hide card-panel center-align green">
                        <b><span id="success" class="white-text"></span></b>
                    </div>
                    <div id="errorCard" class="hide card-panel center-align red">
                        <span id="error" class="white-text"></span>
                    </div>
                </div>
            </div>
        </div>        
    </div>
    <div class="section white">
        <div class="row container" id="draftpesan-footer">
            <div class="col s12 m10">
                <h3 class="header">Pesanmu & Pesanku</h3>
                <p class="grey-text text-darken-3">Pernah mendengar Kolom Kirim Pesan / Draft Pesan Online ?<br>
                                                   Pesanmu & Pesanku mirip seperti itu, hanya saja versi web dengan tampilan dinamis!<br>
                                                   Sebenarnya ini tugas Oprec Web Dev RISTEK dulu, tapi di remake dengan tampilan baru<br><br>
                                                   Dirancang oleh Pradipta dengan cinta di dalamnya</p>
            </div>
        </div>   
    </div>
</body>

    <div id="see-messages" class="modal">
        <div class="modal-content">
            <h5 class="center">Lihat Semua Pesan Masuk</h5>
            <div class="divider"></div><br>
            {% if semua_pesan %}
                <ul>
                {% for isi in semua_pesan %}
                    <div class="card z-depth-2">
                        <div class="card-content">
                            <span class="card-title"> {{ isi.message_sender }} - {{ isi.message_receiver }} </span>
                            {{ isi.message_content }}
                            <br><br>
                            <div class="right-align">
                                <button class="waves-effect waves-light orange darken-2 btn-small">
                                    <i class="material-icons left">replay</i>
                                    Balas
                                </button>
                                <button class="waves-effect waves-light red btn-small">
                                    <i class="material-icons left">flag</i>
                                    Laporkan Pesan
                                </button>
                            </div>
                        </div>
                    </div>
                {% endfor %}
                </ul>
            {% else %}
                <div id="errorCard" class="card-panel center-align red white-text">
                    Tidak Ada Pesan Untuk Saat Ini. Cobalah Mengirim Pesan Sekarang!
                </div>
            {% endif %}
        </div>
    </div>

    {% block javascript %}
    <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-rc.2/js/materialize.js"></script>
    <script src="{% static "task_05/js/draftpesan.js" %}"></script>
    {% endblock javascript %}

</html>
